# encoding: utf-8
# WARNING! Do not edit! http://waf.googlecode.com/git/docs/wafbook/single.html#_obtaining_the_waf_file

from waflib import Configure,Options,Utils
from waflib.Tools import ccroot
from waflib.Configure import conf
def find_dcc(conf):
	cc=conf.find_program(['dcc'],var='CC',path_list=getattr(Options.options,'diabbindir',""))
	cc=conf.cmd_to_list(cc)
	conf.env.CC_NAME='dcc'
	conf.env.CC=cc
def find_dld(conf):
	ld=conf.find_program(['dld'],var='LINK_CC',path_list=getattr(Options.options,'diabbindir',""))
	ld=conf.cmd_to_list(ld)
	conf.env.LINK_CC_NAME='dld'
	conf.env.LINK_CC=ld
def find_dar(conf):
	ar=conf.find_program(['dar'],var='DAR',path_list=getattr(Options.options,'diabbindir',""))
	ar=conf.cmd_to_list(ar)
	conf.env.AR=ar
	conf.env.AR_NAME='dar'
	conf.env.ARFLAGS='rcs'
def find_ddump(conf):
	prg=conf.find_program(['ddump'],var='DDUMP',path_list=getattr(Options.options,'diabbindir',""))
	prg=conf.cmd_to_list(prg)
	conf.env.DDUMP=prg
def dcc_common_flags(conf):
	v=conf.env
	v['CC_SRC_F']=[]
	v['CC_TGT_F']=['-c','-o']
	if not v['LINK_CC']:v['LINK_CC']=v['CC']
	v['CCLNK_SRC_F']=[]
	v['CCLNK_TGT_F']=['-o']
	v['CPPPATH_ST']='-I%s'
	v['DEFINES_ST']='-D%s'
	v['LIB_ST']='-l:%s'
	v['LIBPATH_ST']='-L%s'
	v['STLIB_ST']='-l:%s'
	v['STLIBPATH_ST']='-L%s'
	v['RPATH_ST']='-Wl,-rpath,%s'
	v['cprogram_PATTERN']='%s.elf'
	v['LINKFLAGS_cstlib']=['-Wl,-Bstatic']
	v['cstlib_PATTERN']='lib%s.a'
def configure(conf):
	conf.find_dcc()
	conf.find_dar()
	conf.find_dld()
	conf.find_ddump()
	conf.dcc_common_flags()
	conf.cc_load_tools()
	conf.cc_add_flags()
	conf.link_add_flags()
def options(opt):
	opt.add_option('--with-diab-bindir',type='string',dest='diabbindir',help='Specify alternate diab bin folder',default="")

conf(find_dcc)
conf(find_dld)
conf(find_dar)
conf(find_ddump)
conf(dcc_common_flags)